Bug 810872 - Creating a new Cloud Resource Zone - after initial create warning - returns 'undefined method `name' for nil:NilClass'
Creating a new Cloud Resource Zone - after initial create warning - returns '...
Status: CLOSED CURRENTRELEASE
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: aeolus-conductor (Show other bugs)
1.0.0
Unspecified Linux
unspecified Severity medium
: rc
: ---
Assigned To: Jozef Zigmund
wes hayutin
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-09 09:44 EDT by Ronelle Landy
Modified: 2012-12-13 14:49 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-13 14:49:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
After name warning resource zone error (377.56 KB, image/png)
2012-04-09 09:44 EDT, Ronelle Landy
no flags Details

  None (edit)
Description Ronelle Landy 2012-04-09 09:44:27 EDT
Created attachment 576217 [details]
After name warning resource zone error

Description of problem:

I attempted to create a new Cloud Resource Zone but entered a name for the zone that had a special character. When clicking save, Conductor returned the following (correct) message:

********** 
Cloud Resource Zone creation failed.
  
1 error prohibited this Cloud Resource Zone from being saved
Name must only contain: numbers, letters, spaces, '_' and '-'
*********

I then tried to correct the name and removed the special character. After clicking save with the new legit name, Conductor returned:

*************  
Cloud Resource Zone creation failed.
  undefined method `name' for nil:NilClass
************

Managed to reproduce this error using Firefox on RHEL 6.2 and Fedora 16 as well as on Chrome - each time using different names and special characters


Steps to Reproduce:
1. In Conductor GUI, click on the 'Monitor' tab
2. Click 'New Cloud Resource Zone'
3. 'Create New Cloud Resource Zone' page opens. In the 'Name' field, enter a name with a special character like ':'
4. Click 'Save'
5. See 'Cloud Resource Zone creation failed.' error
6. In the name field, correct the name by removing the special character
7. Click 'Save'
8. See 'Cloud Resource Zone creation failed.' and 'undefined method `name' for nil:NilClass' errors ( see attached screenshot)
9. Note that creating the new Cloud Resource Zone using the correct name the first time around, does result in the new zone being created.
  

rpms tested:

rpm -qa |grep aeolus
aeolus-conductor-daemons-0.8.7-1.el6.noarch
rubygem-aeolus-image-0.3.0-12.el6.noarch
rubygem-aeolus-cli-0.3.1-1.el6.noarch
aeolus-configure-2.5.2-1.el6.noarch
aeolus-conductor-0.8.7-1.el6.noarch
aeolus-conductor-doc-0.8.7-1.el6.noarch
Comment 2 Jozef Zigmund 2012-08-21 10:09:56 EDT
The issue hasn't been observed in actual master branch also in RPMs:

RPMs tested:

$ rpm -qa | grep aeolus
aeolus-all-0.10.4-1.fc17.noarch
aeolus-conductor-0.10.4-1.fc17.noarch
aeolus-conductor-daemons-0.10.4-1.fc17.noarch
aeolus-conductor-doc-0.10.4-1.fc17.noarch
aeolus-configure-2.6.1-1.fc17.noarch
rubygem-aeolus-cli-0.5.0-1.fc17.noarch
rubygem-aeolus-image-0.5.0-1.fc17.noarch

Please verify it, thanks.
Comment 3 pushpesh sharma 2012-09-21 08:21:22 EDT
Not observed on current build.4-5 failed attempt to reproduced.Marking as verified.
 
Verified on: 
[root@dhcp201-113 ~]# rpm -qa|grep aeolus
rubygem-aeolus-image-0.3.0-12.el6.noarch
aeolus-all-0.13.8-1.el6cf.noarch
aeolus-conductor-0.13.8-1.el6cf.noarch
rubygem-aeolus-cli-0.7.1-1.el6cf.noarch
aeolus-configure-2.8.6-1.el6cf.noarch
aeolus-conductor-daemons-0.13.8-1.el6cf.noarch
aeolus-conductor-doc-0.13.8-1.el6cf.noarch

Note You need to log in before you can comment on or make changes to this bug.